/**
 * Resultat.js
 * 
 * Classe qui stocke les données des résultats des requêtes
 * 
 * @author Olivier Arteau
 */

function Resultat(txt, xml, code) {
	if (isset(txt)) this.txt = txt;
	if (isset(xml)) this.xml = xml;
	if (isset(code)) this.code = code;
}

Resultat.prototype = {
	'txt' : '',
	'xml' : '',
	'code' : 0,
	'headers' : new Array(),
	
	/**
	 * Définit le texte du résultat
	 * 
	 * @param (String)
	 */
	
	'setText' : function (txt) {
		this.txt = txt;
	}
	,
	
	/**
	 * Retourne le texte du résultat
	 * 
	 * @return (String)
	 */
	
	'getText' : function () {
		return this.txt;
	}
	,
	
	/**
	 * Définit le XML retourné
	 * 
	 * @param (Object)
	 */
	
	'setXML' : function (xml) {
		this.xml = xml;
	}
	,
	
	/**
	 * Retourne le XML retourné
	 * 
	 * @return (Object)
	 */
	
	'getXML' : function () {
		return this.xml;
	}
	,
	
	/**
	 * Définit le code
	 * 
	 * @param (Object)
	 */
	
	'setCode' : function (code) {
		this.code = code;	
	}
	,
	
	/**
	 * Retourne le code
	 * 
	 * @return (Object)
	 */
	
	'getCode' : function () {
		return this.code;
	}
	,
	
	/**
	 * Retourne le contenu d'un résultat qui est au format JSON
	 */
	
	'getJSON' : function() {
		return parseJSON(this.txt);
	}
	,
	
	/**
	 * Retourne la liste des headers qui sont envoyé par le serveur sous forme d'un tableau associatif
	 * 
	 * @return (Array)
	 */
	
	'getHeader' : function () {
		return this.headers;
	}
	,
	
	/**
	 * Définit la liste des headers qui sont envoyé par le serveur sous forme d'un tableau associatif
	 * 
	 * @param (Array)
	 */
	
	'setHeader' : function (head) {
		this.headers = head;
	}
}